%define contentdir   newstart
%define infra_var stock

Summary:        NewStartOS package repositories
Name:           nde-repos 
Version:        0.0.1
Release:        4%{?dist}
License:        GPLv2
Group:          System Environment/Base
URL:            http://www.gd-linux.com/
Source:         %{name}-%{version}.tar.gz
Obsoletes:      centos-repos
Provides:       centos-repos
Requires:       system-release
BuildArch:      noarch

%description
NewStartOS package repository files for yum and dnf.


%package -n nde-gpg-keys
Summary:        NewStartOS RPM keys
Group:          System Environment/Base
Obsoletes:      centos-gpg-keys
Provides:       centos-gpg-keys
BuildArch:      noarch

%description -n nde-gpg-keys
NewStartOS RPM signature keys


%prep
%setup -q

%build


%install
# Install the keys
install -d -m 755 $RPM_BUILD_ROOT/etc/yum.repos.d
install -m 644 softwarecenter.repo %{buildroot}/etc/yum.repos.d/softwarecenter.repo


#install -d -m 755 $RPM_BUILD_ROOT/etc/bugtracker
#install -m 644 bugtracker.conf %{buildroot}/etc/bugtracker/bugtracker.conf


mkdir -p -m 755 $RPM_BUILD_ROOT/etc/pki/rpm-gpg
#install -m 644 RPM-GPG-KEY-centosofficial %{buildroot}/etc/pki/rpm-gpg
#install -m 644 RPM-GPG-KEY-centostesting %{buildroot}/etc/pki/rpm-gpg


mkdir -p -m 755 $RPM_BUILD_ROOT/etc/dnf/vars
echo "%{infra_var}" > $RPM_BUILD_ROOT/etc/dnf/vars/infra
echo "%{contentdir}" >$RPM_BUILD_ROOT/etc/dnf/vars/contentdir


%files
%defattr(-,root,root,-)
%dir /etc/yum.repos.d
#%config /etc/bugtracker/bugtracker.conf
/etc/yum.repos.d/softwarecenter.repo
%config(noreplace) /etc/dnf/vars/*



%files -n nde-gpg-keys
/etc/pki/rpm-gpg/



%changelog
* Tue Jul 21 2020 Zhang Wen <zhang.wen2@zte.com.cn> - 0.0.1-4
- 删除定制版本文件.

* Wed Jun 17 2020 Zhang Wen <zhang.wen2@zte.com.cn> - 0.0.1-3
- 增加zte发布仓库

* Wed Jun 10 2020 Zhang Wen <zhang.wen2@zte.com.cn> - 0.0.1-2
- 更新仓库地址为发布仓库

* Tue Jun 2 2020 Zhang Wen <zhang.wen2@zte.com.cn> - 0.0.1-1
- 创建nde-repos包
